Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.xml.sax
Interface XMLReaderCreator

All Known Implementing Classes:
  Jaxp11XMLReaderCreator, Sax2XMLReaderCreator

    public interface XMLReaderCreator

A factory for `XMLReader`s. Thread-safety is determined by each particular implementation of this interface.

Author:
  James Clark

Method Summary
`XMLReader` | `createXMLReader()` Creates a new `XMLReader`.

Method Detail

### createXMLReader

    XMLReader createXMLReader()
                              throws SAXException

  Creates a new `XMLReader`.

  Returns:
    a new `XMLReader`; never `null`
  Throws:
    `SAXException` - If an `XMLReader` cannot be created for any reason

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD